Bug 36435 - UMC module text adjustments
UMC module text adjustments
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Alexander Kläser
Stefan Gohmann
: interim-4
Depends on: 32026
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-05 06:47 CET by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-11-05 06:47:24 CET
The following text adjustments should be done:


1. Activation dialog

Replace:
"... der über den Lizenzdialog im Einstellungsmenü (oben rechts) eingespielt werden kann."

with
"... der über den Lizenzdialog im Benuztermenü (oben rechts) eingespielt werden kann."


2. License import

Replace
"Neue Lizenzen, die durch die Aktivierung von UCS oder nach einem Lizenzkauf erhalten worden sind, können im Folgenden eingespielt werden. Die Lizenzinformation kann entweder direkt als Datei hochgeladen oder per copy and paste in das Textfeld importiert werden."

with:
"Hier kann ein neuer UCS-Lizenzschlüssel eingespielt werden. Diesen erhalten 
Sie nach Aktivierung von UCS oder nach einem Lizenzkauf per E-Mail. Der 
Schlüssel kann entweder direkt als Datei hochgeladen oder per copy and paste 
in das Textfeld importiert werden."


3. Policy tab

Replace:
"Liste aller für das Objekt geltender Eigenschaften, die durch 
Richtlinien ererbt werden. Die Werte können nicht direkt geändert werden, 
sondern müssen an den entsprechenden Richtlinien gesetzt werden. Über den 
Schalter "bearbeiten" wird ein neuer Reiter mit der entsprechenden Richtlinie 
geöffnet." 

with
"Liste aller für das Objekt geltender Eigenschaften, die durch 
Richtlinien ererbt werden. Die Werte können nicht direkt geändert werden, 
sondern müssen an den entsprechenden Richtlinien gesetzt werden. Über den 
Schalter "Neue Richtlinie" wird ein neuer Reiter mit einer neuen Richtlinie geöffnet. Sofern ein Attribut bereits gesetzt ist, kann über den Schalter "bearbeiten" die gesetzte Richtlinie in einem neuen Reiter geöffnet und bearbeitet werden."


4. Policies

Maybe be could add a short helptext, for example:

"Richtlinien sind Objekte die mit anderen Objekten im Verzeichnisbaum 
verbunden werden können, um die Eigenschaften dieser Objekte auf einheitliche 
Weise zu definieren. Wenn Sie an Container oder organisatorische Einheiten 
gebunden sind, vererben Sie sich auf alle darunter liegenden Objekte. Mehr 
Informationen zu Richtlinien finden Sie in der Link="Online-Dokumentation zu UCS"." 

If it can not be added easily, please file a new bug.


5. Quota module

Replace:
"Konfiguration von Dateisystem-Quotas für das lokale System"

with
"Konfiguration von Speicherplatzbeschränkungen auf dem lokalen System". 


6. Password change
Replace
"Änderung des Passworts des angemeldeten Benutzers"

with:
"Änderung des Passworts für den angemeldeten Benutzer"


7. Print jobs

Replace
"In diesem Modul können Sie die Drucker verwalten, die auf Ihrer Maschine definiert sind."

with
"In diesem Modul können Sie die Druckaufträge der lokalen Drucker verwalten."


8. Nagios

Please add a help link to the manual.


Please adapt the English text as well.
Comment 1 Alexander Kläser univentionstaff 2014-11-07 18:47:59 CET
(In reply to Stefan Gohmann from comment #0)
> The following text adjustments should be done:
> 
> 
> 1. Activation dialog
> 
> Replace:
> "... der über den Lizenzdialog im Einstellungsmenü (oben rechts) eingespielt
> werden kann."
> 
> with
> "... der über den Lizenzdialog im Benuztermenü (oben rechts) eingespielt
> werden kann."



> 2. License import
> 
> Replace
> "Neue Lizenzen, die durch die Aktivierung von UCS oder nach einem Lizenzkauf
> erhalten worden sind, können im Folgenden eingespielt werden. Die
> Lizenzinformation kann entweder direkt als Datei hochgeladen oder per copy
> and paste in das Textfeld importiert werden."
> 
> with:
> "Hier kann ein neuer UCS-Lizenzschlüssel eingespielt werden. Diesen erhalten 
> Sie nach Aktivierung von UCS oder nach einem Lizenzkauf per E-Mail. Der 
> Schlüssel kann entweder direkt als Datei hochgeladen oder per copy and paste 
> in das Textfeld importiert werden."

Fixed.

> 3. Policy tab
> 
> Replace:
> "Liste aller für das Objekt geltender Eigenschaften, die durch 
> Richtlinien ererbt werden. Die Werte können nicht direkt geändert werden, 
> sondern müssen an den entsprechenden Richtlinien gesetzt werden. Über den 
> Schalter "bearbeiten" wird ein neuer Reiter mit der entsprechenden
> Richtlinie 
> geöffnet." 
> 
> with
> "Liste aller für das Objekt geltender Eigenschaften, die durch 
> Richtlinien ererbt werden. Die Werte können nicht direkt geändert werden, 
> sondern müssen an den entsprechenden Richtlinien gesetzt werden. Über den 
> Schalter "Neue Richtlinie" wird ein neuer Reiter mit einer neuen Richtlinie
> geöffnet. Sofern ein Attribut bereits gesetzt ist, kann über den Schalter
> "bearbeiten" die gesetzte Richtlinie in einem neuen Reiter geöffnet und
> bearbeitet werden."

Fixed.
 
> 4. Policies
> 
> Maybe be could add a short helptext, for example:
> 
> "Richtlinien sind Objekte die mit anderen Objekten im Verzeichnisbaum 
> verbunden werden können, um die Eigenschaften dieser Objekte auf
> einheitliche 
> Weise zu definieren. Wenn Sie an Container oder organisatorische Einheiten 
> gebunden sind, vererben Sie sich auf alle darunter liegenden Objekte. Mehr 
> Informationen zu Richtlinien finden Sie in der Link="Online-Dokumentation zu
> UCS"." 
> 
> If it can not be added easily, please file a new bug.

Fixed.
I made some changes to Bug 32026 to also allow a help description for a module. help_text and help_link can now be defined in a UMC module and it works as one would expect. I replaced the XHR request to udm/help_link with a more generic udm/meta_info call and moved this functionality into the JS caching module (umc/modules/udm/cache). Now a call to udm/meta_info is only executed once per UDM module type. It is now also possible to define help_link and help_text for UDM object types such as users/user or policies/policy. The link + help text will then be displayed on the search page directly. I added the link to the manual also as help_link for policies/policy. I added a little bit more of space between the module header buttons.

univention-management-console-module-udm (5.1.23-1) unstable; urgency=medium
Bug #36435:
* new UMCP command udm/meta_info for module variables help_link + help_text
* add call to udm/meta_info into udm/cache.js
* allow help_link/help_text also in the search view
* text adaptations

univention-directory-manager-modules (10.0.29-1) unstable; urgency=medium
Bug #36435:
* add help description + manual link to policies/policy
* add manual link to nagios/nagios

univention-management-console-frontend-theme (0.0.82-1) unstable; urgency=medium
* Bug #36435: add margin to module header buttons


> 5. Quota module
> 
> Replace:
> "Konfiguration von Dateisystem-Quotas für das lokale System"
> 
> with
> "Konfiguration von Speicherplatzbeschränkungen auf dem lokalen System". 

Fixed.

univention-quota (9.1.5-1) unstable; urgency=medium
* Bug #36435: text adaptations


> 6. Password change
> Replace
> "Änderung des Passworts des angemeldeten Benutzers"
> 
> with:
> "Änderung des Passworts für den angemeldeten Benutzer"

Fixed.

univention-management-console-module-passwordchange (0.1.2-1) unstable; urgency=medium
* Bug #36435: text adaptations


> 7. Print jobs
> 
> Replace
> "In diesem Modul können Sie die Drucker verwalten, die auf Ihrer Maschine
> definiert sind."
> 
> with
> "In diesem Modul können Sie die Druckaufträge der lokalen Drucker verwalten."

Fixed.

univention-printserver (8.0.5-1) unstable; urgency=medium
* Bug #36435: text adaptations

 
> 8. Nagios
> 
> Please add a help link to the manual.

Fixed along with (4).


> Please adapt the English text as well.

Done.
Comment 2 Florian Best univentionstaff 2014-11-10 11:53:43 CET
Side effect: it's not possible to open the LDAP directory browser anymore due to "metaInfo is undefined".
Comment 3 Alexander Kläser univentionstaff 2014-11-10 14:38:46 CET
(In reply to Florian Best from comment #2)
> Side effect: it's not possible to open the LDAP directory browser anymore
> due to "metaInfo is undefined".

Good catch, thanks for the hint.
Fixed.

univention-management-console-module-udm (5.1.24-1):
* Bug #36435: fixed error caused by an undefined reference
Comment 4 Stefan Gohmann univentionstaff 2014-11-11 11:46:45 CET
OK
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:55:39 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".